# Adds the file mad.pc which is needed by several packages to
# detect presense of libmad.

diff -Naur libmad-0.15.1b-orig/Makefile.am libmad-0.15.1b/Makefile.am
--- libmad-0.15.1b-orig/Makefile.am	2004-02-17 02:02:03.000000000 +0000
+++ libmad-0.15.1b/Makefile.am	2006-04-11 15:48:33.000000000 +0100
@@ -24,6 +24,9 @@
 SUBDIRS =		
 DIST_SUBDIRS =		msvc++
 
+pkgconfigdir =		${libdir}/pkgconfig
+pkgconfig_DATA =	mad.pc
+
 lib_LTLIBRARIES =	libmad.la
 include_HEADERS =	mad.h
 
diff -Naur libmad-0.15.1b-orig/configure.ac libmad-0.15.1b/configure.ac
--- libmad-0.15.1b-orig/configure.ac	2004-01-23 09:41:32.000000000 +0000
+++ libmad-0.15.1b/configure.ac	2006-04-11 15:44:57.000000000 +0100
@@ -429,5 +429,5 @@
 dnl AC_SUBST(LTLIBOBJS)
 
 AC_CONFIG_FILES([Makefile msvc++/Makefile  \
-	libmad.list])
+	libmad.list mad.pc])
 AC_OUTPUT
diff -Naur libmad-0.15.1b-orig/mad.pc.in libmad-0.15.1b/mad.pc.in
--- libmad-0.15.1b-orig/mad.pc.in	1970-01-01 01:00:00.000000000 +0100
+++ libmad-0.15.1b/mad.pc.in	2006-04-11 15:47:12.000000000 +0100
@@ -0,0 +1,14 @@
+# libmad pkg-config source file
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: mad
+Description: MPEG Audio Decoder
+Version: @VERSION@
+Requires:
+Conflicts:
+Libs: -L${libdir} -lmad -lm
+Cflags: -I${includedir}
